/********************************************************************
 KWin - the KDE window manager
 This file is part of the KDE project.

Copyright (C) 2009 Thomas Lübking <thomas.luebking@web.de>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*********************************************************************/

#ifndef KWIN_SNOW_CONFIG_H
#define KWIN_SNOW_CONFIG_H

#include <kcmodule.h>

#include "ui_beclock_config.h"

class KActionCollection;

namespace KWin
{

class BeClockConfigForm : public QWidget, public Ui::BeClockConfigForm
{
    Q_OBJECT
public:
    explicit BeClockConfigForm(QWidget* parent);
};

class BeClockConfig : public KCModule
{
    Q_OBJECT
public:
    explicit BeClockConfig(QWidget* parent = 0, const QVariantList& args = QVariantList());
    ~BeClockConfig();

public slots:
    void ensureOneDisplay(bool);
    void save();
    void load();
    void defaults();

private slots:
    void filterTimeZones(const QString &filter);

private:
    BeClockConfigForm* myUi;
    KActionCollection* myActionCollection;
};

} // namespace

#endif
